import { HStack, Icon } from '@chakra-ui/react'
import { FaRegStar, FaStar } from 'react-icons/fa6'
import React, { useMemo, useState } from 'react'

const useStars = (currentRated, starsCount) => {
  const [rated, setRated] = useState(currentRated)
  const stars = useMemo(
    () =>
      Array.from({ length: starsCount }).map((_, index) => index + 1 > rated),
    [starsCount, rated],
  )

  return {
    setRated,
    stars,
  }
}

export const Stars = ({
  count,
  rated,
  setRated,
}: {
  count: number
  rated: number
  setRated: (rate: number) => void
}) => {
  // const {
  //   stars,
  //   setRated: starsSetRated
  // } = useStars(rated, count)

  return (
    <HStack>
      {Array.from({ length: count }).map((_, index) =>
        index + 1 > rated ? (
          <Icon
            key={index}
            color="orange.400"
            cursor="pointer"
            onClick={() => setRated(index + 1)}
          >
            <FaRegStar />
          </Icon>
        ) : (
          <Icon
            key={index}
            color="orange.400"
            cursor="pointer"
            onClick={() => starsSetRated(index + 1)}
          >
            <FaStar />
          </Icon>
        ),
      )}
    </HStack>
  )
}
